# $Id: ltris.spec,v 1.1 2002/07/26 10:42:12 dude Exp $

Summary: A tetris clone for Linux that uses the SDL.
Name: ltris
Version: 1.0.3
Release: fr2
Epoch: 1
License: GPL
Group: Amusements/Games
Source: http://ftp1.sourceforge.net/lgames/%{name}-%{version}.tar.bz2
URL: http://lgames.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-root
Requires: SDL >= 1.1.4
BuildRequires: SDL-devel

%description
A tetris clone game for Linux that uses the SDL.
No need to say much more :-)

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

mkdir -p %{buildroot}%{_sysconfdir}/X11/applnk/Games
cat > %{buildroot}%{_sysconfdir}/X11/applnk/Games/%{name}.desktop << EOF
[Desktop Entry]
Name=LTris
Comment=A Tetris clone for Linux
Exec=%{name}
Icon=
Terminal=0
Type=Application
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_sysconfdir}/X11/applnk/Games/%{name}.desktop
%attr(2551, root, games) %{_bindir}/%{name}
%{_datadir}/games/%{name}
%config(noreplace) %attr(664, root, games) %{_localstatedir}/lib/games/%{name}.hscr

%changelog
* Fri Jul 26 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.0.3.

* Thu May  2 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt against Red Hat Linux 7.3.
- Added the %{?_smp_mflags} expansion.

* Mon Jan 14 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.0.1.

* Thu Jan 10 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.0.

* Tue Apr 24 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat 7.1.

* Tue Mar 13 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 010310.

* Tue Jan  2 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release for RedHat 7.0

